import 'package:fluro/fluro.dart';
import 'package:yumi/modules/country/country_page.dart';

import 'package:yumi/app/routes/sc_router_init.dart';

class CountryRoute implements SCIRouterProvider {
  static String country = '/country';

  @override
  void initRouter(FluroRouter router) {
    router.define(
      country,
      handler: Handler(
        handlerFunc: (_, params) {
          String? isDialog = params['isDialog']?.first;
          return CountryPage(isDialog: isDialog == 'true');
        },
      ),
    );
  }
}
